﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Hierchical.Model;
using Infragistics.Controls.Charts;

namespace Hierchical
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new MainWindowViewModel();
            this.EmployesDiagram.Items.CollectionChanged += Items_CollectionChanged;
        }

        private void Items_CollectionChanged(object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e)
        {
            MainWindowViewModel vm = this.EmployesDiagram.DataContext as MainWindowViewModel;

            if (e.NewStartingIndex >= vm.Employees.Count)
            {
                this.EmployesDiagram.RefreshLayout();

            }

        }

        private void OnSelectedNodeChanged(object sender, DiagramSelectionChangedEventArgs e)
        {
            if (e.AddedItems.Any())
            {
                ((MainWindowViewModel) this.DataContext).SelectedEmployee = e.AddedItems[0].Content as Employee;
            }
            else ((MainWindowViewModel) this.DataContext).SelectedEmployee = null;
        }
    }
}
